Ruby: encindex.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Enumerations | Functions
encindex.h File Reference
`#include "ruby/encoding.h"`

Go to the source code of this file.

## Macros
#define | ENCINDEX_ASCII RUBY_ENCINDEX_ASCII
#define | ENCINDEX_UTF_8 RUBY_ENCINDEX_UTF_8
#define | ENCINDEX_US_ASCII RUBY_ENCINDEX_US_ASCII
#define | ENCINDEX_UTF_16BE RUBY_ENCINDEX_UTF_16BE
#define | ENCINDEX_UTF_16LE RUBY_ENCINDEX_UTF_16LE
#define | ENCINDEX_UTF_32BE RUBY_ENCINDEX_UTF_32BE
#define | ENCINDEX_UTF_32LE RUBY_ENCINDEX_UTF_32LE
#define | ENCINDEX_UTF_16 RUBY_ENCINDEX_UTF_16
#define | ENCINDEX_UTF_32 RUBY_ENCINDEX_UTF_32
#define | ENCINDEX_UTF8_MAC RUBY_ENCINDEX_UTF8_MAC
#define | ENCINDEX_EUC_JP RUBY_ENCINDEX_EUC_JP
#define | ENCINDEX_Windows_31J RUBY_ENCINDEX_Windows_31J
#define | ENCINDEX_BUILTIN_MAX RUBY_ENCINDEX_BUILTIN_MAX
#define | rb_ascii8bit_encindex() RUBY_ENCINDEX_ASCII
#define | rb_utf8_encindex() RUBY_ENCINDEX_UTF_8
#define | rb_usascii_encindex() RUBY_ENCINDEX_US_ASCII

## Enumerations
enum | ruby_preserved_encindex { RUBY_ENCINDEX_ASCII , RUBY_ENCINDEX_UTF_8 , RUBY_ENCINDEX_US_ASCII , RUBY_ENCINDEX_UTF_16BE , RUBY_ENCINDEX_UTF_16LE , RUBY_ENCINDEX_UTF_32BE , RUBY_ENCINDEX_UTF_32LE , RUBY_ENCINDEX_UTF_16 , RUBY_ENCINDEX_UTF_32 , RUBY_ENCINDEX_UTF8_MAC , RUBY_ENCINDEX_EUC_JP , RUBY_ENCINDEX_Windows_31J , RUBY_ENCINDEX_BUILTIN_MAX }

## Functions
int | rb_enc_find_index2 (const char *name, long len)

## Macro Definition Documentation

## ◆ ENCINDEX_ASCII

#define ENCINDEX_ASCII RUBY_ENCINDEX_ASCII

Definition at line 43 of file encindex.h.

## ◆ ENCINDEX_BUILTIN_MAX

#define ENCINDEX_BUILTIN_MAX RUBY_ENCINDEX_BUILTIN_MAX

Definition at line 55 of file encindex.h.

## ◆ ENCINDEX_EUC_JP

#define ENCINDEX_EUC_JP RUBY_ENCINDEX_EUC_JP

Definition at line 53 of file encindex.h.

## ◆ ENCINDEX_US_ASCII

#define ENCINDEX_US_ASCII RUBY_ENCINDEX_US_ASCII

Definition at line 45 of file encindex.h.

## ◆ ENCINDEX_UTF8_MAC

#define ENCINDEX_UTF8_MAC RUBY_ENCINDEX_UTF8_MAC

Definition at line 52 of file encindex.h.

## ◆ ENCINDEX_UTF_16

#define ENCINDEX_UTF_16 RUBY_ENCINDEX_UTF_16

Definition at line 50 of file encindex.h.

## ◆ ENCINDEX_UTF_16BE

#define ENCINDEX_UTF_16BE RUBY_ENCINDEX_UTF_16BE

Definition at line 46 of file encindex.h.

## ◆ ENCINDEX_UTF_16LE

#define ENCINDEX_UTF_16LE RUBY_ENCINDEX_UTF_16LE

Definition at line 47 of file encindex.h.

## ◆ ENCINDEX_UTF_32

#define ENCINDEX_UTF_32 RUBY_ENCINDEX_UTF_32

Definition at line 51 of file encindex.h.

## ◆ ENCINDEX_UTF_32BE

#define ENCINDEX_UTF_32BE RUBY_ENCINDEX_UTF_32BE

Definition at line 48 of file encindex.h.

## ◆ ENCINDEX_UTF_32LE

#define ENCINDEX_UTF_32LE RUBY_ENCINDEX_UTF_32LE

Definition at line 49 of file encindex.h.

## ◆ ENCINDEX_UTF_8

#define ENCINDEX_UTF_8 RUBY_ENCINDEX_UTF_8

Definition at line 44 of file encindex.h.

## ◆ ENCINDEX_Windows_31J

#define ENCINDEX_Windows_31J RUBY_ENCINDEX_Windows_31J

Definition at line 54 of file encindex.h.

## ◆ rb_ascii8bit_encindex

#define rb_ascii8bit_encindex | ( |  | void | ) | RUBY_ENCINDEX_ASCII

Definition at line 57 of file encindex.h.

## ◆ rb_usascii_encindex

#define rb_usascii_encindex | ( |  | void | ) | RUBY_ENCINDEX_US_ASCII

Definition at line 59 of file encindex.h.

## ◆ rb_utf8_encindex

#define rb_utf8_encindex | ( |  | void | ) | RUBY_ENCINDEX_UTF_8

Definition at line 58 of file encindex.h.

## Enumeration Type Documentation

## ◆ ruby_preserved_encindex

enum ruby_preserved_encindex

Enumerator
RUBY_ENCINDEX_ASCII |
RUBY_ENCINDEX_UTF_8 |
RUBY_ENCINDEX_US_ASCII |
RUBY_ENCINDEX_UTF_16BE |
RUBY_ENCINDEX_UTF_16LE |
RUBY_ENCINDEX_UTF_32BE |
RUBY_ENCINDEX_UTF_32LE |
RUBY_ENCINDEX_UTF_16 |
RUBY_ENCINDEX_UTF_32 |
RUBY_ENCINDEX_UTF8_MAC |
RUBY_ENCINDEX_EUC_JP |
RUBY_ENCINDEX_Windows_31J |
RUBY_ENCINDEX_BUILTIN_MAX |

Definition at line 22 of file encindex.h.

## Function Documentation

## ◆ rb_enc_find_index2()

int rb_enc_find_index2 | ( | const char * | name,
|  | long | len
| ) |  |

Definition at line 905 of file encoding.c.

References ENCODING_NAMELEN_MAX, len, memcpy, name, and rb_enc_find_index().